PATCH /sequences/{id}

Authentication

Send your organization API key as a Bearer credential.

Authorization: Bearer YOUR_API_KEY

Path parameters

id number required

ID of the sequence to update

Example: 424

Body

application/json

Fields to update in the sequence

subject string

Subject of the email

Example: Exclusive Offer Just for You!
body string

Body of the email

Example: <p>Hello, this is a sample email body.</p>
delay number

Delay before sending (in days)

Example: 3
use_previous_subject boolean

Whether to use the subject from the previous sequence

Example: false

Response

application/json

Sequence updated successfully

id number required

ID of sequence

Example: 24
campaign_id string required

Campaign ID the sequence belongs to

Example: 237056d1-20b1-41ab-aa0e-17965cecbe14
delay number required

Delay before sending (days)

Example: 0
subject string required

Email subject

Example: Follow-up Email
body string required

Email body

Example: Just checking if you received my last message.
use_previous_subject boolean required

Whether to use subject from previous sequence

Example: false
created_at string required

Created at timestamp

Example: 2025-09-17T16:51:25.992Z
updated_at string required

Updated at timestamp

Example: 2025-09-17T16:51:25.992Z